#             Autore: Roberto FULIGNI
#
#               Data: 17/11/2023
#    
#        Descrizione: Conversione di un numero intero da base 10 a base N,
#                     mediante il metodo delle divisioni successive,
#                     essendo N una base tra 2 e 9 scelta dall'utente.


n = int(input("Numero intero in base 10: "))

print ("Inserire la base in cui convertire il numero. La base deve essere compresa tra 2 e 9.")

# Inserimento della base con validazione del dato immesso
b = 0
while b < 2 or b > 9:
    b = int(input("Base: "))

ris = ""      # Stringa contenente il risultato della conversione in base b

if n == 0:
    ris = "0"       # Risultato finale
else:
    while n > 0:
        resto = n % b
        ris = str(resto) + ris      # Aggiunge il resto in testa al risultato
        
        n = n // b                  # Calcola il quoziente intero della divisione
                                    # tra n e b e assegna il risultato a n

print ("Risultato della conversione in base", b, ":", ris)